package jp.co.gxp.sample.blazeds.simple;

import java.util.List;

/**
 * シンプルなメッセージを扱うサービス。
 * 
 * @version $Revision$
 * @author $Author$
 */
public interface SimpleMessageService {

	/**
	 * すべてのメッセージを戻します。
	 * 
	 * @return メッセージ
	 */
	public abstract List<SimpleMessage> findAll();

	/**
	 * メッセージを追加します。
	 * 
	 * @param message
	 *            メッセージ
	 */
	public abstract void addMessage(SimpleMessage message);

}