package jp.co.gxp.sample.blazeds.simple;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * シンプルなメッセージを扱うサービスの実装。
 * 
 * @version $Revision$
 * @author $Author$
 */
public class SimpleMessageServiceImpl implements SimpleMessageService {

	/** メッセージのリスト。 */
	private static final List<SimpleMessage> messageList = new ArrayList<SimpleMessage>();
	static {
		SimpleMessage message = new SimpleMessage();
		message.setContent("テスト");
		message.setRegisterDate(new Date());
		messageList.add(message);
	};

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.gxp.sample.blazeds.simple.SimpleMessageService#findAll()
	 */
	public List<SimpleMessage> findAll() {
		return new ArrayList<SimpleMessage>(messageList);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * jp.co.gxp.sample.blazeds.simple.SimpleMessageService#addMessage(jp.co
	 * .gxp.sample.blazeds.simple.SimpleMessage)
	 */
	public synchronized void addMessage(SimpleMessage message) {
		messageList.add(message);
	}
}
